mfontset_lookup(3m17n)

NAME
mfontset_lookup - Lookup a fontset.

SYNOPSIS
MPlist * mfontset_lookup (MFontset * fontset, MSymbol script, MSymbol language, MSymbol charset)

DESCRIPTION
Lookup a fontset.

The mfontset_lookup() function lookups fontset and returns a plist that describes the contents of fontset corresponding to the specified script, language, and charset.

If script is Mt, keys of the returned plist are script name symbols for which some fonts are specified and values are NULL.

If script is a script name symbol, the returned plist is decided by language.

•   If language is Mt, keys of the plist are language name symbols for which some fonts are specified and values are NULL. A key may be Mt which means some fallback fonts are specified for the script.
•   If language is a language name symbol, the plist is a FONT-GROUP for the specified script and language. FONT-GROUP is a plist whose keys are FLT (FontLayoutTable) name symbols (Mt if no FLT is associated with the font) and values are pointers to MFont.
•   If language is Mnil, the plist is fallback FONT-GROUP for the script.
If script is Mnil, the returned plist is decided as below.
•   If charset is Mt, keys of the returned plist are charset name symbols for which some fonts are specified and values are NULL.
•   If charset is a charset name symbol, the plist is a FONT-GROUP for the charset.
•   If charset is Mnil, the plist is a fallback FONT-GROUP.

RETURN VALUE
    It returns a plist describing the contents of a fontset. The plist should be freed by m17n_object_unref().

COPYRIGHT
Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2008 National Institute of Advanced Industrial Science and Technology (AIST)
Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License <http://www.gnu.org/licenses/fdl.html>.